intrepid: bluetooth can not receive files

Bug #283064 reported by Biji on 2008-10-14
186
This bug affects 25 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
High
Unassigned
gnome-bluetooth (Ubuntu)
Medium
Unassigned
obex-data-server (Ubuntu)
Undecided
Unassigned

Bug Description

intrepid: bluetooth can not receive files
while previously (hardy) i can send file from my moto phone

Onkar Shinde (onkarshinde) wrote :

Please install gnome-user-share, then open System -> Preferences -> Personal File Sharing and set the option to receive files over bluetooth.

Biji (biji) wrote :

thanks... this is cool should be installed by default...

Emmet Hikory (persia) wrote :

gnome-bluetooth uses older interfaces, and is not going to be fixed.

Changed in gnome-bluetooth:
importance: Undecided → Medium
status: New → Won't Fix
Changed in bluez:
importance: Undecided → High
status: New → Confirmed

Same issue on a fresh installed&updated Intrepid RC.
BT is unuseable for me.

erlguta (gonzalomarcote) wrote :

I have the same problem.
I can't send files from my mobile to Intrepid.
In hardy it worked ok.
Should not be included here?:
https://wiki.ubuntu.com/IntrepidReleaseNotes

It says in kubuntu, but in Gnome does not work too.

tankdriver & erlguta,

could you elaborate when you say that "BT is unuseable for me" , Bluetooth is not file transfer.
So explain your problem clearly.

As said before by Emmet, you have install gnome-user-share and enable file sharing in the preference?

Thanks for providing feedback.

erlguta (gonzalomarcote) wrote :

>Bluetooth is not file transfer.
??
And how do you send your photos between mobiles or mobile->PC.
What's that?

I've always been able to send files and photos from my cell phone to my PC (Something very useful and used) until now with intrepid.

>As said before by Emmet, you have install gnome-user-share and enable file sharing in the preference?

gnome-user-share install Apache (apache2 apache2-mpm-worker apache2-utils apache2.2-common) in a Desktop environment.
I don't see it one logical solution to be required to install apache to have bluetooth working.

sorry, better description:
BT works good except:
transfering photos (or bigger files) over "browse device" from phone to computer.
It hangs after 30-70% progress.
USB-Dongle: BlueWalker
lsusb: Bus 001 Device 005: ID 1310:0001 Roper Class 1 Bluetooth Dongle
phone: SE K800i

Intrepid final

Matthias Urlichs (smurf) wrote :

>> gnome-user-share install Apache (apache2 apache2-mpm-worker apache2-utils apache2.2-common)
>> in a Desktop environment.
>> I don't see it one logical solution to be required to install apache to have bluetooth working

gnome-user-share enables sharing via Bluetooth and WebDAV. Right now we have to live with the fact that both are controlled by the same package, and you need Apache for WebDAV.

I already filed a bug to disentangle these services, but they probably won't get sorted out in Intrepid. So, live with it.

erlguta (gonzalomarcote) wrote :

>I already filed a bug to disentangle these services, but they probably won't get sorted out in Intrepid. So, live with it.

Ok. I understand.
I installed it and works.
Thank you.

Le vendredi 31 octobre 2008 à 12:45 +0000, erlguta a écrit :
> gnome-user-share install Apache (apache2 apache2-mpm-worker
> apache2-utils apache2.2-common) in a Desktop environment.
> I don't see it one logical solution to be required to install apache
> to have bluetooth working.

because if you look at the description of the package you'll see
gnome-users-share provides also sharing of files over WebDAV.

niska (adelaii) wrote :

I installed gnome-user-share and enabled file sharing but sending files still fails to both bonded and unbonded devices.

influencd (charlie-de-courcy) wrote :

Bluetooth not working on laptop and desktop:

Intel onboard

Shows as adapter not present - no options to bond device. 'Set up a new device' shows empty list
HCItool outputs: Device is not available: No such device

TDK dongle on desktop:

Shows adapter present - no options to bond device 'Set up a new device' shows empty list
hcitool scan shows devices available.

influencd (charlie-de-courcy) wrote :

To confirm in reference to my above post, bluetooth worked absolutely fine on both with 8.04 Hardy

Blu (blutack) wrote :

Surely this is a regression? Having to install a heavy and potentially insecure network service for bluetooth file transfers is not a very good solution to a problem that did not exist in the first place - whilst the UI for bluetooth was not brilliant in Gnome 2.22, the stack worked well. I know Gnome has a policy of minimizing settings exposed in the UI, but this is the first case I've come across where previously extremely useful functionality has been removed for the sake of a UI alteration. Does this quote

gnome-bluetooth uses older interfaces, and is not going to be fixed.

mean that a reverse backport (not sure what that's called!) of the 2.22 bluetooth stack is impossible?

Gnome's solid bluetooth stack was previously a credit to the desktop, and I personally believe the decision to remove a large and critical portion and package it separately in an obscure new package is a mistake.

On Tue, Nov 4, 2008 at 2:06 AM, Blutack <email address hidden> wrote:
> Surely this is a regression? Having to install a heavy and potentially
> insecure network service for bluetooth file transfers is not a very good
> solution to a problem that did not exist in the first place - whilst the
> UI for bluetooth was not brilliant in Gnome 2.22, the stack worked well.
> I know Gnome has a policy of minimizing settings exposed in the UI, but
> this is the first case I've come across where previously extremely
> useful functionality has been removed for the sake of a UI alteration.

First bluez-gnome is not part of the official GNOME desktop, this is a
part of the bluez project; I don't know the decision behind the
removal, and we can't go against their decision.
gnome-user-share provides such functionality for a while, so I think
it was decided to keep a core part in bluez-gnome, like pairing and
browsing.
Apache is certainly not insecure as this is a well known software
audited by a lot of people, and with the user process of apache
running under a SELinux/AppArmor context should prevent any severe
flaw.
I agree having the apache daemon started automatically system-wide at
boot is not ideal but this can be changed.

> Does this quote
>
> gnome-bluetooth uses older interfaces, and is not going to be fixed.
>
> mean that a reverse backport (not sure what that's called!) of the 2.22
> bluetooth stack is impossible?

Bluez 4 added new programming interface, and gnome-bluetooth is
totally deprecated; so don't count on it.
>
> Gnome's solid bluetooth stack was previously a credit to the desktop,
> and I personally believe the decision to remove a large and critical
> portion and package it separately in an obscure new package is a
> mistake.
>

This is not an obscure one, it is working for ages; at furthermore it
is presented to be added for GNOME 2.26.

--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

Jancis (beaver-inbox) wrote :

why did you break pand first and then obex? why? because i prefer using ubuntu not windows?

thank you a LOT.

I have Intrepid on two machines, Acer TM 2354 laptop and Compaq Evo D 510 SFF desktop, upgraded from Hardy on both. Yesterday I purchased a Celly BK3 USB bt dongle. Could not make it work on either machine (except on the Win XP installation of the desktop): I could neither send files from the PC to the mobile phone (Nokia 6151) nor receive or browse files, nor pair these devices.

Then I tried Hardy LiveCD on the laptop and everything worked smoothly out of the box, no problem at all in pairing and in sending files from PC to phone. Then I decided to try the dongle with Intrepid on the desktop machine again, and suddenly the file transfer from PC to phone succeeded: I sent a whole directory of mp3's to the Nokia. I had changed nothing and made no update. I tried it again, but this time to no avail. So it seems that with some luck, the transfer may intermittently succeed also in Intrepid...

Browsing the files on the phone via bt has not succeeded in the same mysterious manner, though. I keep getting an error message: "Could not display "obex://[00:1B:EE:5D:04:2A]/". Error: Connection to the device lost. Please select another viewer and try again." This is interesting from my non-technical end-user perspective, because I recall the "Please select another viewer" message from the time a recent Nautilus bug in Hardy prevented from browsing Samba shares.

I don't know if this is of any help or just redundant babble.

xens (r-aviolat) wrote :

Same problem here...

cannot send files from my phone to my computer. I tried on different computers that just worked out of the box with hardy.

I tried the workaround with gnome-user-share but it doesn't work, I can "attach" the phone to the computer but the file transfer from the phone to the computer always fail.

For people having problem with file reception,

please I would like to have some useful output for troubleshooting the problem.
- uncompress /usr/share/doc/obex-data-server/examples/ods-server-test.py.gz
in your $HOME
- kill the existing gnome-user-share and obex-data-server processes
- type "python ods-server-test.py opp /tmp" in a console
- try to send a file to you computer, and post the output here.

if you feel adventurous you can install the version of
obex-data-server which is in my ppa.
You'll need to kill the existing obex-data-server and restart the
gnome-user-share process and activate again the Bluetooth sharing in
the preferences.

if it doesn't work, stop gnome-user-share and kill obex-data-server,
and do the following.
- uncompress /usr/share/doc/obex-data-server/examples/ods-server-test.py.gz
in your $HOME
- type "python ods-server-test.py opp /tmp" in a console
- try to send a file to you computer, and tell if it works or not.

--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

Biji (biji) wrote :

actually this bug has not fixed even by installing gnome-user-share.. i will try your suggestion baptise

>please I would like to have some useful output for troubleshooting the problem.
>- uncompress /usr/share/doc/obex-data-server/examples/ods-server-test.py.gz
>in your $HOME
>- kill the existing gnome-user-share and obex-data-server processes
>- type "python ods-server-test.py opp /tmp" in a console
>- try to send a file to you computer, and post the output here.

I took these steps but to no avail, sorry to say. I tried with my Nokia 6151 and a Nokia 3120, both just reported that the BT connection failed. I shall try the adventurous installation too...

@Baptiste,

I just tried your indications, but it doesn't work at all. I'm unable to send a file from my mobile phone to the Intrepid computer.

Merci monsieur Baptiste Mille-Mathias!

I installed the obex-data-server version from your PPA and now I am able to (a) send files from my mobile phone to my computer and (b) browse the directories on my phone with Nautilus and copy-paste them to the local directory on my PC.

Thanks again!

xens (r-aviolat) wrote :

Hi Baptiste,

with the obex-data-server included in intrepid the ods-server-test.py returned nothing.

with your modified obex-data-server the file transfer from my phone to my computer works fine! Thank you very much :D

I'd like to give you more feedback but here's the output ou ods-server-test.py with your obex-data-server:

----------------
poste@poste:~$ python ods-server-test.py opp /tmpTraceback (most recent call last):
  File "ods-server-test.py", line 185, in <module>
    tester = Tester(args[0], args[1], options)
  File "ods-server-test.py", line 106, in __init__
    self.server_type, options.pairing)
  File "/var/lib/python-support/python2.5/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/var/lib/python-support/python2.5/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/var/lib/python-support/python2.5/dbus/connection.py", line 607, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.openobex.Error.Failed: Could not create server socket
poste@poste:~$
----------------

@Baptiste,

I installed your version of the obex-data-server package, and now I can connect with my mobile phone, even browsing the files with in.

Thanks :)

@Baptiste,

I would still like to confirm that my output for "python ods-server-test.py opp /tmp" with your obex-data-server version is an exact match of xens's above.

It works, and it is nice to hear that it works for others, too!

Botond Szász (boteeka) wrote :

I installed the obex-data-server from your PPA (restarted my computer after this), stopped gnome-user-share in the system-monitor and killed obex-data-server from here too. I started your test script from which the output is:
Server object: /org/openobex/server0
Started

It also doesn't work if I kill gnome-user-share instead of just stopping it.

I now try to send a file the usual way, from the bloetooth icon in the notification area, but with no success. It gives an error message: org.openobex.Error.ConnectionAttemptFailed

It says connection to device lost if I try to browse my phone.

matli (ml-launchpad) wrote :

It still doesn't work for me with Baptiste's obex-data-server. The ods-server-test gives this output:

------
matli@tornado:~$ python ods-server-test.py opp /tmp
Server object: /org/openobex/server0
Started
Session created: /org/openobex/serversession0
Session Bluetooth address: 00:22:98:9A:01:20
>>/org/openobex/serversession0<< Error occurred: org.openobex.Error.LinkError: Connection error
>>/org/openobex/serversession0<< Disconnected
Session removed: /org/openobex/serversession0
------

matli (ml-launchpad) wrote :

Hmm. Obviously there was also some problem with my phone. I could successfully send other files to ods-server-test, and after a phone restart I could also send the file i first tried with. However, there still seems to be a problem with sending files to the desktop (i.e. when not using the thest application). An empty file is created, and then the transfer seems to stall.

At Ubuntu Intrepid 8.10, Control Center, Hardware, Bluetooth: When visible, and adding my cellphone, it cannot successfully communicate with or pair the device, although it finds it's address. My cellphone cannot find the pc device, either.

On Fri, Nov 7, 2008 at 5:27 PM, xens <email address hidden> wrote:
> Hi Baptiste,
>
> with the obex-data-server included in intrepid the ods-server-test.py
> returned nothing.
>
> with your modified obex-data-server the file transfer from my phone to
> my computer works fine! Thank you very much :D
>
> I'd like to give you more feedback but here's the output ou ods-server-
> test.py with your obex-data-server:
>
> ----------------
> poste@poste:~$ python ods-server-test.py opp /tmpTraceback (most recent call last):
> File "ods-server-test.py", line 185, in <module>
> tester = Tester(args[0], args[1], options)
> File "ods-server-test.py", line 106, in __init__
> self.server_type, options.pairing)
> File "/var/lib/python-support/python2.5/dbus/proxies.py", line 68, in __call__
> return self._proxy_method(*args, **keywords)
> File "/var/lib/python-support/python2.5/dbus/proxies.py", line 140, in __call__
> **keywords)
> File "/var/lib/python-support/python2.5/dbus/connection.py", line 607, in call_blocking
> message, timeout)
> dbus.exceptions.DBusException: org.openobex.Error.Failed: Could not create server socket
> poste@poste:~$
> ----------------

This is likely another ObexFTP server is already running.

--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

enry (enrydj) wrote :

To me, on Intrepid (Kubuntu, kde 4.1) Bluetooth dongle seems to be recognized, but bluetooth icon does not appear in tray, it is not possible to handle bluetooth devices. On hardy it worked well.

Blu (blutack) wrote :

Baptiste, apologies for my earlier somewhat ranty message, I was rather frustrated at the time!
I would just like to thank you for replying to my message, and for explaining the exact issues involved. I realise now that this is neither a gnome or ubuntu issue, and as such there isn't much you can do about it!
This is the type of developer attitude that brought me to ubuntu in the first place, and which is nowadays often sadly lacking in other bug reports.

Cheers
Blutack

enry:
you bug is not related with this one, please open another one.

Piraja and Xens:
Are you sure, that all service using obex was killed before you run the command, because the python backtrace tends to prove there was another "consumer" for obex-data-server running.
I would have been terribly interested by the error you had with the package provided by ubuntu.

matli:
kill obex-data-server, and relaunch it in a console with option "--no-daemon" and open a new bug with the output you will retrieve.

Blutack:
anger doesn't server anyone, taking problem with calm attitude is always better.

Baptiste,

I would be happy to test again with both the Ubuntu-provided package and yours, but I'm afraid I will be unable to do that before Sunday or next week. So if you can wait a few days, I will (1) check that all services using obex are killed and re-try the command and post the output, and (2) replace your package with the Ubuntu package and re-try it and post the output. I hope I understood your post correctly and that these are the steps you would like me to take.

Until then.

matli (ml-launchpad) wrote :

Baptiste,

unfortunately the behaviour seems a bit inconsistent. I tried your suggestion, but i don't get any relevant output, so it seems pointless to create a new bug. And now no empty files are created either.

I'm afraid that this bug and 284994 will force me to let Windows in a virtualbox handle my bluetooth devices :(

Blu (blutack) wrote :

If anybody else is looking for a more lightweight solution than gnome-user-share, the package gnome-bluetooth allows files to be received over bluetooth - install it, then go Accessories -> Bluetooth File Sharing.
Baptiste, apologies again and I should have looked through apt-cache more closely before posting.

xens (r-aviolat) wrote :

Baptiste:

Yes I'm sure! I tried a second time on another machine.

1° kill everything using gnome-user-share (ps fax | grep gnome-user-share returned nothing more)
2° kill obex jobs (ps fax | grep obex returned nothing more)
3° Using your script in my home folder returned nothing when I sent my file form the cellphone
4° After trying to send the file the processes where back again (obex and gnome user share)

I'm here if I can help with another try :D

ltl beaver (ltlbeaver) wrote :

the same thing here:

Bus 002 Device 003: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter

both pairing and sending files to my phone does not work
i have installed on both my workplace computer and my home computer... the same result... does not work
on my windows sistem it works perfectly, also transfer between phones works.
My ubuntu is a fresh install (8.10 intrepid)

Guglielmo Cola (guglielmocola) wrote :

Hi. I'm using a fresh Intrepid install, and I can't send files from bluetooth cell to the laptop. In Hardy everything was fine...

@Baptiste:

To return to your earlier question from over a week ago (2008-11-13):

> Piraja and Xens:
> Are you sure, that all service using obex was killed before you run the command, because
> the python backtrace tends to prove there was another "consumer" [you mean "client"?]
> for obex-data-server running.
> I would have been terribly interested by the error you had with the package provided by ubuntu.

I'm sorry, now as I tried again, I first got the same output as Xens and I previously did. However, as I typed "ps -A" again, after I thought I had killed the required processes, obex-data-server was still up and running. Could it be automatically launched when the USB dongle is connected? Next I made sure I killed the process and tried "python ods-server-test.py opp /tmp" again, and here is the output with the current Ubuntu Intrepid package (0.3.4+svn1951-0ubuntu1), after removing you PPA package:
— — —
pprasane@ubuntu-desktop:~$ python ods-server-test.py opp /tmp
Server object: /org/openobex/server0
Started
— — —
With this package version (0.3.4+svn1951-0ubuntu1) I can neither send files nor receive them. You can see the GUI error messages in the attached screenshots.

@Baptiste:

The next thing I did was that I re-upgraded to your obex data server package (0.4.2-0ubuntu1) and started it with the test command:
— — —
pprasane@ubuntu-desktop:~$ python ods-server-test.py opp /tmp
Server object: /org/openobex/server1
Started
— — —
This time the problems persist even with your ods package: could not send, could not receive, could not browse. Pairing works, however. I shall try again after rebooting, in a moment...

Rebooting did not help: I cannot browse the files on the phone (see the attached screenshot) or send files from the phone to the computer and could not send a file from the computer either.

Oops, I take the last one back: I killed obex-data-server and gnome-user-share again and typed "python ods-server-test.py opp /tmp", and now the transfer succeeded from the phone to the computer.

Browsing the files on the phone and sending from Ubuntu still do not work. As I told you earlier, previously your ods package worked for me (almost?) perfectly, but now something seems to be lost...

Thomas (t.c) wrote :
Download full text (12.6 KiB)

i have the same problem: receive not working but pairing works..
with the test script i also get nothing
i tested also your package from ypur PPA, but it doesn't change something :-(
i tried from beginning:

user@nb:~$ sudo bluetoothd -nd
bluetoothd[32662]: Bluetooth daemon
bluetoothd[32662]: Enabling debug information
bluetoothd[32662]: parsing main.conf
bluetoothd[32662]: offmode=NoScan
bluetoothd[32662]: discovto=0
bluetoothd[32662]: pageto=8192
bluetoothd[32662]: name=%h-%d
bluetoothd[32662]: class=0x000100
bluetoothd[32662]: inqmode=0
bluetoothd[32662]: Starting SDP server
bluetoothd[32662]: Loading plugins /usr/lib/bluetooth/plugins
bluetoothd[32662]: /usr/lib/bluetooth/plugins/hal.so
bluetoothd[32662]: /usr/lib/bluetooth/plugins/serial.so
bluetoothd[32662]: /usr/lib/bluetooth/plugins/audio.so
bluetoothd[32662]: Unix socket created: 11
bluetoothd[32662]: Telephony plugin initialized
bluetoothd[32662]: HFP AG features: "Ability to reject a call" "Enhanced call status" "Extended Error Result Codes"
bluetoothd[32662]: /usr/lib/bluetooth/plugins/service.so
bluetoothd[32662]: /usr/lib/bluetooth/plugins/input.so
bluetoothd[32662]: input.conf: Key file does not have key 'IdleTimeout'
bluetoothd[32662]: /usr/lib/bluetooth/plugins/netlink.so
bluetoothd[32662]: Starting experimental netlink support
bluetoothd[32662]: Failed to find Bluetooth netlink family
bluetoothd[32662]: Can't init plugin /usr/lib/bluetooth/plugins/netlink.so
bluetoothd[32662]: /usr/lib/bluetooth/plugins/network.so
bluetoothd[32662]: /etc/bluetooth/network.conf: Key file does not have key 'Disable'
bluetoothd[32662]: /etc/bluetooth/network.conf: Key file does not have key 'DisableSecurity'
bluetoothd[32662]: /etc/bluetooth/network.conf: Key file does not have key 'Interface'
bluetoothd[32662]: /etc/bluetooth/network.conf: Key file does not have key 'Interface'
bluetoothd[32662]: /etc/bluetooth/network.conf: Key file does not have key 'Interface'
bluetoothd[32662]: Config options: InterfacePrefix=bnep%d, PANU_Script=avahi-autoipd, GN_Script=avahi-autoipd, NAP_Script=dhclient, GN_Interface=pan0, NAP_Interface=pan1, Security=true
bluetoothd[32662]: bridge pan0 created
bluetoothd[32662]: HCI dev 0 registered ...

@Piraja, hmm I don't know why it fails now, because most of the reception problem were due to the broken ods.

@Xens, there is certainly another problem than obex-data-server in the problem, so if you can have valuable input, please open a new bug.

@Thomas C: kill obex-data-server, launch it in a console to have an eye on the output, launch gnome-file-user-share to make sure bluetooth FTP is enabled, and send a file to your computer. Paste the output in the bug or ping me on IRC (nick: crevette) before, if you want some assistance.

Changed in obex-data-server:
status: New → Confirmed
Amr Hassan (amr-hassan) wrote :

i can receive files now when gnome-obex-server is running.. but it's a really old and unmaintained app. it's annoying, but it works.

Guglielmo Cola (guglielmocola) wrote :

I confirm what Hassan said. If I want to receive files I must run gnome-obex-server ("Bluetooth file sharing").

I've to add some really strange things I noticed.

Yesterday I had to send some files to another laptop that I've paired with mine days before.
When I try to send files my computer cannot find his bluetooth device... so I try to delete the pairing... and then the device is found.
Anyway, if I right click on a file and select "send to", then bluetooth does not work ("Obex push error" or something like that).
If I right click on the bluetooth icon in the tray and select "send files to device" it works fine.

I can confirm the "strange things" reported in the previous post by G. C.: old pairings must be removed in order to make things work, etc. etc. However, my send/receive problems occur only intermittently, and therefore I'm pretty much satisfied right now, since Baptiste's version of ODS fixed the biggest issues for me (i.e. made the BT USB dongle usable, at least).

gkvas (gernot-kvas-at) wrote :

My system: Intrepid 64-bit. I received the same error as stated in the very first postings (Could not display "obex://[00:1B:EE:5D:04:2A]/). I tried to install gnome-user-share, but that did not change anything. I uninstalled gnone-user-share together with the apache packages again. I then tried the Jaunty package of obex-data-server. I downloaded and installed that package using GDebi and logged out and in again. File sharing worked.

Daniel Holm (danielholm) wrote :

That was quite a page. I'm not able so send files from my Nokia N95_8GB to my Laptop via Bluetooth, ither. Help!

NoahY (noahy) wrote :

I had the problem of not being able to send files to my computer, but I solved it here by installing and running obexpushd:

sudo apt-get install obexpushd
obexpushd

Before that, my phone doesn't show my computer as a recipient for sending files. Once this is running, though, it works as it should. No need for apache!

Felix (apoapo) wrote :

I had to killall obex-data-server first. After that running obexpushd -n works. (-n tells what is happening)

Without killing the obex-data-server obexpushd cannot bind the BT adress.

yoddn (tim20k) wrote :

hi all just a quick reply to the bug i had trouble sending file using Intrepid but enable gnome-obex-server 0.11.0 now can receive files

Blu (blutack) wrote :

I found a workaround.
http://blueman-project.org/
is a fantastic replacement for the current somewhat broken gnome bluetooth stack. Just add the ppa and install blueman. It provides an applet, servers and will even set up serial port devices (gps etc) automagically. Personally, I'd vote for it to be included as the default in Jaunty if the state of bluetooth hasn't improved in gnome by then, but I realise this isn't going to happen.
Hope this helps!

I'm going to close this bug, as this is a free for all.
To get bluetooth file reception, you must have gnome-user-share for ubuntu user.

For any problem, please open another bug with relevant information to troubleshoot.

Changed in bluez (Ubuntu):
status: Confirmed → Invalid
Changed in obex-data-server (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers